function fabplot(shot);

disp ('FABCAT radiation Plotter. Release 1.4');

  mdsopen('results',shot);

  disp(['Analyzing shot ', num2str(shot)]);

  Pxpoint = mdsdata('\results::btomo:prad_above');
  Pbelow = mdsdata('\results::btomo:prad_below');
  Ptot = mdsdata('\results::btomo:prad_tot');
  time = mdsdata('\results::btomo:time');
  
  mdsclose;
  mdsopen(shot);
  
  Ip=mdsdata('\results::I_p');                % plasma current
   tIp = mdsdata('dim_of(\results::I_p)');
   uIp = mdsdata('units_of(\results::I_p)');

   nel = mdsdata('\results::fir:n_average');         % plasma average density
   tnel = mdsdata('dim_of(\results::fir:n_average)');
   unel = mdsdata('units_of(\results::fir:n_average)');
   
   [tPoh,Poh]=tcvget('POHM');          
  
  figure('Name','Radiation of x-point');
  plot(Pxpoint);
  figure('Name','Radiation below the x-point');
  plot(Pbelow);
  figure('Name','Total radiation');
  plot(Ptot);
  figure('Name','Plasma current');
  plot(Ip);
  figure('Name','Plasma density');
  plot(nel);
  figure('Name','Ohmic power');
  plot(Poh);  
  figure('Name','Plasma core flux surface');
  tcvview('pvt',shot,.5)
  figure('Name','Comparison between Ptot and Pohm');
  plot(tPoh,Poh,'g',time,Ptot,'b');
  legend('Ohmic power','Total radiated power');
  axis([0 time(length(time))+0.1 0 max(max(Ptot),max(Poh))]);
  figure('Name','Comparison between radiated powers');
  plot(time,Ptot,'r',time,8*Pbelow,'b',time,8*Pxpoint,'g');
  legend('Total radiated power','Power radiated below x-point','xpoint radiation');
  axis([0 time(length(time))+0.1 0 max(Ptot)]);
   
  mdsclose;
