function fabreader(shot);

disp ('FABCAT MDS Reader. Release 1.4');

if nargin < 1
  startshot = 19000;
  endshot = 21739;
  
else

    startshot = shot;
  endshot = shot;
  
end

index = 1;

for shot = startshot : endshot

try
  
  shotnumber(index) = shot;
  exist(index) = 0;
  xpoint(index) = NaN;
  status(index) = NaN;
  lambda(index) = NaN;
  chi2(index) = NaN;

  mdsopen('results',shot);

  disp(['Analyzing shot ', num2str(shot)]);

  method = mdsdata('\results::btomo:method');
  disp (method);
  
  if method(1:17) == ('FBTR with x-point')
    xpoint(index) = 1;
  else
    xpoint(index) = 0;
  end 
  
  lambda(index) = mdsdata('\results::btomo:lambda');

  chim = mdsdata('\results::btomo:chi_squared');

  chi2(index) = mean(chim);

  if lambda(index) < 0.01 | abs(chi2(index) - 1) > 0.05
    status(index) = 0;
  else
    status(index) = 1;
  end
  exist(index) = 1;
  
  result = mdsdata('\results::btomo:comment');
  disp(result);

catch
    
end
  
  index = index + 1;
  mdsclose

end 

save fabresults shotnumber exist xpoint status lambda chi2

